<?php

declare(strict_types=1);

namespace App\Http\Livewire\Components\Notifications;

use Illuminate\Contracts\View\View;

/**
 * Class Indicator
 */
final class Indicator extends Simple
{
    public bool $unreadNotifications = false;

    public function render(): View
    {
        $this->unreadNotifications = $this->userNotifications->isNotEmpty();

        return view('livewire.components.notifications.indicator');
    }
}
